/*****************************************************************************
 * Copyright (c) 2015 CEA LIST and others.
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *   Patrick Tessier (CEA LIST) patrick.tessier@cea.fr - Initial API and implementation
 *   
 *****************************************************************************/

package org.eclipse.papyrus.sysml14.diagram.common.locator;

import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.geometry.Insets;
import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.papyrus.uml.diagram.common.locator.PortPositionLocator;

/**
 * This locator is used to fix bug about PortPositionLocator sometimes the computedPosition is bad due to a bad toleance about location.
 * 
 * @deprecated
 */
@Deprecated
public class FixedPortPositionLocator extends PortPositionLocator {

	/**
	 * Constructor.
	 *
	 * @param parentFigure
	 * @param preferredSide
	 */
	public FixedPortPositionLocator(IFigure parentFigure, int preferredSide) {
		super(parentFigure, preferredSide);
	}

	/**
	 * @see org.eclipse.papyrus.uml.diagram.common.locator.PortPositionLocator#getCurrentSideOfParent()
	 *
	 * @return
	 */
	@Override
	public int getCurrentSideOfParent() {
		int defaultSkink = 10;
		Rectangle basisRectangle = new Rectangle(0, 0, parentFigure.getBounds().width, (parentFigure.getBounds().height));
		// creation of an internal rectangle in order to compute the position (size divided by 2);
		int skinkWidth = constraint.width / 2;
		int skinkHeight = constraint.height / 2;
		// sometime the size of element in the notation can be negative to explain that he can take the default size code.
		// The size in this case is inside the draw2D figure but here it is impossible to access to the figure of the port.
		// in this case , we compute a default internal rectangle minus 10.
		if (skinkWidth <= 0) {
			skinkWidth = defaultSkink;
		}
		if (skinkHeight <= 0) {
			skinkHeight = defaultSkink;
		}
		Rectangle internalRectangle = basisRectangle.getShrinked(new Insets(skinkHeight, skinkWidth, skinkHeight, skinkWidth));
		// let draw2D to compute position
		int position = internalRectangle.getPosition(constraint.getTopLeft());
		// use to Debug
		return position;
	}
}
